Bug 179366 - missing inotify support.
missing inotify support.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks: 179431
  Show dependency treegraph
 
Reported: 2006-01-30 11:56 EST by Dave Jones
Modified: 2016-11-24 07:25 EST (History)
6 users (show)

See Also:
Fixed In Version: 2.3.90-32
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 11:16:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-01-30 11:56:41 EST
#include <sys/inotify.h>
void main()
{
        int i;
        i = inotify_init();
}

(11:55:22:davej@nemesis:~)$ gcc test.c
test.c: In function ‘main’:
test.c:4: warning: return type of ‘main’ is not ‘int’
/home/davej/tmp/ccaFrBE5.o: In function `main':test.c:(.text+0x9): warning:
warning: inotify_init is not implemented and will always fail

aparently the inotify-using apps we currently ship (gnome-vfs, gamin etc) are
carrying their own private copies of the headers to work around this, but users
hit problems when they try to use inotify in their own apps.
Comment 1 David Woodhouse 2006-02-06 10:04:48 EST
The inotify syscalls were added to glibc-kernheaders in glibc-kernheaders-3_0-4
on  2006-01-23 -- for Alpha, i386, ppc, ppc64, s390, s390x and x86_64. Now that
glibc has been rebuilt, the support ought to be present.
Comment 2 Jakub Jelinek 2006-02-06 11:16:05 EST
Should be fixed in glibc-2.3.90-32 and above.

Note You need to log in before you can comment on or make changes to this bug.